Bug 1858048 - rt-5.0.2 is available
Summary: rt-5.0.2 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1858381 1858466 2001699 2001700 2039193
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-16 21:07 UTC by Upstream Release Monitoring
Modified: 2022-03-01 11:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-01 11:00:09 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 5.0.1 (#1858048) (924 bytes, patch)
2021-01-29 17:15 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 5.0.2 (#1858048) (926 bytes, patch)
2021-09-16 17:12 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2020-07-16 21:07:12 UTC
Latest upstream release: 5.0.0
Current version/release in rawhide: 4.4.4-5.fc33
URL: http://bestpractical.com/request-tracker/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/7292/

Comment 1 Upstream Release Monitoring 2020-07-16 21:07:16 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- README.tests
- rt.conf.in
- README.fedora.in
- rt.logrotate.in

Comment 2 Ralf Corsepius 2020-07-17 16:49:08 UTC
Working on it.

As usual with major rt upgrades, this will require further perl dists, reviews, testing and thus is likely to take quite a larger amount of time.

Comment 3 Upstream Release Monitoring 2021-01-29 17:15:27 UTC
Latest upstream release: 5.0.1
Current version/release in rawhide: 4.4.4-7.fc33
URL: http://bestpractical.com/request-tracker/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/7292/

Comment 4 Upstream Release Monitoring 2021-01-29 17:15:34 UTC
Created attachment 1752125 [details]
[patch] Update to 5.0.1 (#1858048)

Comment 5 Upstream Release Monitoring 2021-01-29 17:21:00 UTC
the-new-hotness/release-monitoring.org's scratch build of rt-5.0.1-1.fc32.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=60832022

Comment 6 Gordon Messmer 2021-08-30 07:32:51 UTC
I'm a packager, and I'm interested in this update.  If you have time, would you let me know what tasks are outstanding, and where I can help?

Comment 7 Ralf Corsepius 2021-08-30 07:41:41 UTC
To put that straight: I am maintaining rt4 in Fedora for many years and I am still interested in packaging rt5.

It's just that some non-helpful fanatics have shot down the package dependency chain of rt5 which was stuck unattended/unreviewed for a long time and closed this review. 

With all due respect, whoever is behind this campaign: You're in error to believe you are helpful.

I indent to reopen all of these bogusly closed reviews when time permits. Probably in 2 weeks.

Comment 8 Emmanuel Seyman 2021-08-30 16:04:03 UTC
(In reply to Ralf Corsepius from comment #7):
> 
> I indent to reopen all of these bogusly closed reviews when time permits.
> Probably in 2 weeks.

I'm in the middle of submitting a whole bunch of package reviews and am considering adding the perl modules in RT5's dep chain to the list. This should hopefully let us have them packaged in the distribution in less than 2 weeks.
Ralf, can I close bug #1858360 (your submission of perl-HTTP-Headers-ActionPack) so that I can substitute my own?

Comment 9 Upstream Release Monitoring 2021-09-16 17:12:31 UTC
Latest upstream release: 5.0.2
Current version/release in rawhide: 4.4.4-10.fc35
URL: http://bestpractical.com/request-tracker/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/7292/

Comment 10 Upstream Release Monitoring 2021-09-16 17:12:39 UTC
Created attachment 1823610 [details]
[patch] Update to 5.0.2 (#1858048)

Comment 11 Upstream Release Monitoring 2021-09-16 17:16:34 UTC
the-new-hotness/release-monitoring.org's scratch build of rt-5.0.2-1.fc32.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=75798911

Comment 12 Emmanuel Seyman 2021-09-21 17:35:24 UTC
(In reply to Emmanuel Seyman from comment #8):
>
> This should hopefully let us have them packaged in the distribution in less than
> 2 weeks.

so, that took a little more than 2 weeks. Sorry about that...
Ralf, the last Perl package you need should be in the next compose and this will hopefully allow you to update rt.

Comment 13 Ralf Corsepius 2021-09-21 17:45:42 UTC
(In reply to Emmanuel Seyman from comment #12)
> (In reply to Emmanuel Seyman from comment #8):
> >
> > This should hopefully let us have them packaged in the distribution in less than
> > 2 weeks.
> 
> so, that took a little more than 2 weeks. Sorry about that...
Yes, some times, real life is playing naughty games (My father in law recently died)

> Ralf, the last Perl package you need should be in the next compose and this
> will hopefully allow you to update rt.
Did somebody submit all the missing packages I once had submitted to Fedora?

I am really feeling grumpy about Fedora's bureaucracy and am seriously leaning to demand consequences on the persons being involved.
It would have been nice of Fedora's bureaucrats to at least notify me, to say the least.

Comment 14 Ralf Corsepius 2022-03-01 11:00:09 UTC
After more the 1,5 years of struggling with Fedora, this BZ finally has made it into rawhide.


Note You need to log in before you can comment on or make changes to this bug.